Bug 1062577 (CVE-2014-0055) - CVE-2014-0055 kernel: vhost-net: insufficient handling of error conditions in get_rx_bufs()
Summary: CVE-2014-0055 kernel: vhost-net: insufficient handling of error conditions in...
Status: NEW
Alias: CVE-2014-0055
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140325,repo...
Keywords: Security
Depends On: 1058677 1062579 1070940 1081503
Blocks: 1062618
TreeView+ depends on / blocked
 
Reported: 2014-02-07 11:13 UTC by Petr Matousek
Modified: 2018-12-05 17:12 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0328 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-25 18:29:54 UTC
Red Hat Product Errata RHSA-2014:0339 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-03-31 20:37:26 UTC

Description Petr Matousek 2014-02-07 11:13:59 UTC
A flaw was found in the way get_rx_bufs() function handled error conditions
reported by vhost_get_vq_desc().

A privileged user in the guest could use this flaw to crash the host.

Comment 1 Petr Matousek 2014-02-07 11:17:17 UTC
Statement:

This issue does not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 3 Petr Matousek 2014-03-27 13:14:03 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1081503]

Comment 4 Josh Boyer 2014-03-27 16:03:57 UTC
Upstream patch submission:

http://patchwork.ozlabs.org/patch/334291/

Comment 5 errata-xmlrpc 2014-03-31 16:38:49 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0339 https://rhn.redhat.com/errata/RHSA-2014-0339.html

Comment 6 errata-xmlrpc 2014-04-01 08:22:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0328 https://rhn.redhat.com/errata/RHSA-2014-0328.html

Comment 7 Fedora Update System 2014-04-04 09:45:58 UTC
kernel-3.13.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-04-09 00:51:34 UTC
kernel-3.13.9-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.